using ComputersShopDataModels;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }
        [DisplayName("Название магазина")]
        public string ShopName { get; set; }
        [DisplayName("Адрес магазина")]
        public string Address { get; set; }
        [DisplayName("Дата открытия")]
        public DateTime DateOpen { get; set; }
        [DisplayName("Вместимость")]
        public int MaxCapacity { get; set; }
        public Dictionary<int, (IComputerModel, int)> ShopComputers { get; set; } = new();
    }
}
